#    Deep Space - A space-shooting game.
#    Copyright (C) 2014  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


class Counter( object ):
	def __init__( self, limit, step, repeat=True ):
	
		self.limit = limit
		self.step = step
		self.repeat = repeat
		
		self.counter = 0


	def update( self ):

		if self.counter >= self.limit:
			if self.repeat:
				self.counter = 0
			return True
			
		else:
			self.counter += self.step
			return False
