#    Deep Space - A space-shooting game.
#    Copyright (C) 2014  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
pygame.init()

from code.classes.Character import Character


class Word( object ):
	def __init__( self, word, foreground_color, background_color,
		transparency_color, top, left, horizontal_spacing ):

		width_character = len( list( word ) ) * ( len( list( word )[0].splitlines()[0] ) )
		height_character = len( list( word )[0].splitlines() )
		
		self.word = word

		self.characters = pygame.sprite.Group()
		for x in list( word ):
			self.characters.add( Character( x, foreground_color, background_color,
				transparency_color, top, left ) )

			left += horizontal_spacing

		self.new_left = left


	def update( self ):
		pass
