#    Deep Space - A space-shooting game.
#    Copyright (C) 2014  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
pygame.init()

from code.classes.Bit import Bit


class BitOff( Bit ):

	def __init__( self, filename, center_xy_position, transparency_colorkey,
		speed, gravity_amount, angle, window_dimensions, time_addition ):
		
		super( BitOff, self ).__init__( filename, center_xy_position,
			transparency_colorkey, speed, gravity_amount, angle,
			window_dimensions, time_addition )

		self.status = False
